mxGraphMlKeyManager (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlKeyManager

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlKeyManager

    public class mxGraphMlKeyManager

extends Object

This is a singleton class that contains a map with the key elements of the document. The key elements are wrapped in instances of mxGmlKey and may to be access by ID.

Method Summary
`static mxGraphMlKeyManager` | `getInstance()` Returns the instance of mxGmlKeyManager.
`HashMap<String,mxGraphMlKey>` | `getKeyMap()`
`void` | `initialise(Document doc)` Load the map with the key elements in the document. The keys are wrapped for instances of mxGmlKey.
`void` | `setKeyMap(HashMap<String,mxGraphMlKey> keyMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static mxGraphMlKeyManager getInstance()

  Returns the instance of mxGmlKeyManager. If no instance has been created until the moment, a new instance is returned. This method don't load the map.

  Returns:
    An instance of mxGmlKeyManager.

### initialise

    public void initialise(Document doc)

  Load the map with the key elements in the document.
  The keys are wrapped for instances of mxGmlKey.

  Parameters:
    `doc` - Document with the keys.

### getKeyMap

    public HashMap<String,mxGraphMlKey> getKeyMap()

### setKeyMap

    public void setKeyMap(HashMap<String,mxGraphMlKey> keyMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.